cifti::CiftiException Class Reference

`#include <CiftiException.h>`

Inheritance diagram for cifti::CiftiException:
[legend]
Collaboration diagram for cifti::CiftiException:
[legend]

## Public Member Functions

| CiftiException ()
| CiftiException (const AString &s)
| CiftiException (const CiftiException &e)
CiftiException & | operator= (const CiftiException &e)
virtual | ~CiftiException () throw ()
virtual AString | whatString () const throw ()

## Detailed Description

An exception thrown from CiftiLib.

## Constructor & Destructor Documentation

## CiftiException() [1/3]

CiftiException::CiftiException | ( |  | ) |

Constructor.

## CiftiException() [2/3]

CiftiException::CiftiException | ( | const AString & | s | ) |

Constructor.

Parameters

  s | Description of the exception.

## CiftiException() [3/3]

CiftiException::CiftiException | ( | const CiftiException & | e | ) |

Copy Constructor.

Parameters

  e | Exception that is copied.

## ~CiftiException()

CiftiException::~CiftiException | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor

## Member Function Documentation

## operator=()

CiftiException & CiftiException::operator= | ( | const CiftiException & | e | ) |

Assignment operator.

Parameters

  e | Exception that is copied.

Returns
  Copy of the exception.

## whatString()

AString CiftiException::whatString | ( |  | ) | const
throw | ( | ) |  |  |

virtual

Get a message describing the exception.

Returns
  A message describing the exception.

The documentation for this class was generated from the following files:

- CiftiException.h
- CiftiException.cxx